### Method

# Fwupd SecurityAttr has_obsolete

#### Declaration [src]

    gboolean
    fwupd_security_attr_has_obsolete (
      FwupdSecurityAttr* self,
      const gchar* appstream_id
    )

#### Description [src]

Finds out if the attribute obsoletes a specific appstream_id.

Available since: | 1.5.0

#### Parameters

`appstream_id` | `const gchar*`
| The attribute appstream_id.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the self matches.